Elektroda.pl
Elektroda.pl
X
Proszę, dodaj wyjątek www.elektroda.pl do Adblock.
Dzięki temu, że oglądasz reklamy, wspierasz portal i użytkowników.

Python3 PySide Windows jak zainstalować

marcino2000 07 Sty 2018 16:42 243 2
  • #1 07 Sty 2018 16:42
    marcino2000
    Poziom 24  

    Witam,
    uczę się Pythona z książki Learning Python with Raspberry Pi. Korzystam na przemian z malinki i z komputera z Win10. Dotarłem do 4 działu: Graphical programming. Autor sugeruje aby zainstalować dodatek PySide. Nie wiem jak ugryźć temat pod windowsem. Próbowałem robić to wg instrukcji z tej strony: http://wiki.qt.io/PySide_Binaries_Windows.. Uruchomiłem skrypt PIP coś się pobrało z netu i na tym koniec. Próbowałem wpisywać komendy w shellu ale otrzymuję taki wynik:
    >>> pip install -U PySide
    SyntaxError: invalid syntax
    >>>
    install jest podświetlone na czerwono.

    poradźcie coś :-)
    Z góry dziękuję

    0 2
  • #2 07 Sty 2018 16:56
    hello_world
    Poziom 10  

    Zrób
    sudo apt-get purge python3-pyqt4 python3-pyqt5
    pip -u uninstall pyside
    pip uninstall pyside
    sudo apt-get install python3-pyside

    Ja tak robiłem bo miałem podobny problem i działało

    0
  • #3 08 Sty 2018 11:43
    marcino2000
    Poziom 24  

    Ale jak to pod windowsem zrobić? Kożystam z lapka a na malinkę ładuje tylko jak już coś testuje

    Dodano po 16 [godziny] 2 [minuty]:

    Dalej drążę temat, z PIPem udało mi się uporać, należało dopisać go do zmiennych systemowych, obecnie da się go wywołać z wiersza poleceń. tą część tematu uważam za zakończoną.
    Mam problem (?) z PySidem. Instalacji nie da się ukończyć, otrzymuję taki komunikat:

    C:\Users\U330Touch>pip install -U PySide
    Collecting PySide
    Downloading PySide-1.2.4.tar.gz (9.3MB)
    100% |████████████████████████████████| 9.3MB 80kB/s
    Complete output from command python setup.py egg_info:
    only these python versions are supported: [(2, 6), (2, 7), (3, 2), (3, 3), (3, 4)]

    ----------------------------------------
    Command "python setup.py egg_info" failed with error code 1 in C:\Users\U330TO~1\AppData\Local\Temp\pip-build-oef65wl5\PySide\

    Wynika z niego że repozytorium PySide współpracuje z Pythonem do wersji 3.4, ja używam 3.6. i nie mam co dalej kombinować.

    Pytanie: Jak się to robi w "dzisiejszych czasach" (ostatnie aktualizacje pyside są z 2014 roku i dla wersji 3.4)? Zależy mi na tym aby pracować na lapku a programy żeby działaly na RPI.

    Dziękuję i pozdrawiam

    0